diff -Nur openbsc.5_e1inp_list/src/input/misdn.c openbsc.6_datalink/src/input/misdn.c
--- openbsc.5_e1inp_list/src/input/misdn.c	2009-05-21 08:56:30.000000000 +0200
+++ openbsc.6_datalink/src/input/misdn.c	2009-05-21 09:11:11.000000000 +0200
@@ -141,10 +141,14 @@
 		/* save the channel number in the driver private struct */
 		link->driver.misdn.channel = l2addr.channel;
 		break;
-	case MPH_ACTIVATE_IND:
+	case DL_ESTABLISH_IND:
+		DEBUGP(DMI, "DL_ESTABLISH_IND: channel(%d) sapi(%d) tei(%d)\n",
+		l2addr.channel, l2addr.sapi, l2addr.tei);
 		ret = e1inp_event(e1i_ts, EVT_E1_TEI_UP, l2addr.tei, l2addr.sapi);
 		break;
-	case MPH_DEACTIVATE_IND:
+	case DL_RELEASE_IND:
+		DEBUGP(DMI, "DL_RELEASE_IND: channel(%d) sapi(%d) tei(%d)\n",
+		l2addr.channel, l2addr.sapi, l2addr.tei);
 		ret = e1inp_event(e1i_ts, EVT_E1_TEI_DN, l2addr.tei, l2addr.sapi);
 		break;
 	case DL_DATA_IND:
@@ -152,6 +156,14 @@
 		DEBUGP(DMI, "RX: %s\n", hexdump(msgb_l2(msg), ret - MISDN_HEADER_LEN));
 		ret = e1inp_rx_ts(e1i_ts, msg, l2addr.tei, l2addr.sapi);
 		break;
+	case PH_ACTIVATE_IND:
+		DEBUGP(DMI, "PH_ACTIVATE_IND: channel(%d) sapi(%d) tei(%d)\n",
+		l2addr.channel, l2addr.sapi, l2addr.tei);
+		break;
+	case PH_DEACTIVATE_IND:
+		DEBUGP(DMI, "PH_DEACTIVATE_IND: channel(%d) sapi(%d) tei(%d)\n",
+		l2addr.channel, l2addr.sapi, l2addr.tei);
+		break;
 	default:
 		break;
 	}
@@ -411,7 +423,6 @@
 		switch (e1i_ts->type) {
 		case E1INP_TS_TYPE_SIGN:
 			addr.channel = 0;
-			/* SAPI not supported yet in kernel */
 			//addr.sapi = e1inp_ts->sign.sapi;
 			addr.sapi = 0;
 			addr.tei = GROUP_TEI;
